org.vishia.gral.cfg

## Class GralCfgData.GuiCfgTable

- java.lang.Object
- - org.vishia.gral.cfg.GralCfgData.GuiCfgWidget
  - - org.vishia.gral.cfg.GralCfgData.GuiCfgTable

- All Implemented Interfaces:
    java.lang.Cloneable
  Enclosing class:
    GralCfgData

      public static final class GralCfgData.GuiCfgTable
      extends GralCfgData.GuiCfgWidget
      implements java.lang.Cloneable

  ZBNF: Table::= ... ; Class for instance to capture and store the Table data.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.List<java.lang.Integer>` | `columnWidths`
    `int` | `height`

    - ### Fields inherited from class org.vishia.gral.cfg.GralCfgData.GuiCfgWidget

      `cmd, color0, color1, data, dragFiles, dragText, dropFiles, dropText, editable, format, help, mouseAction, name, prompt, promptPosition, showMethod, text, type, userAction, whatIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiCfgTable(GralCfgElement itsElement)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getColumnWidths()`
    `void` | `set_columnWidth(int val)`
    `void` | `set_text(java.lang.String value)`

    - ### Methods inherited from class org.vishia.gral.cfg.GralCfgData.GuiCfgWidget

      `clone, new_color0, new_color1, new_colorName, set_color0, set_color1, set_colorName, set_data, set_help, setFromType`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### height

          public int height

    - #### columnWidths

          private final java.util.List<java.lang.Integer> columnWidths

  - ### Constructor Detail

    - #### GuiCfgTable

          public GuiCfgTable(GralCfgElement itsElement)

  - ### Method Detail

    - #### set_columnWidth

          public void set_columnWidth(int val)

    - #### set_text

          public void set_text(java.lang.String value)

    - #### getColumnWidths

          public java.util.List<java.lang.Integer> getColumnWidths()